/***************************************************************************\
*                                                                           *
* File: project.h                                                           *
*                                                                           *
* Desc: Header file with typedefs, constants, macros, etc. used by the      *
*       files in this project.                                              *
*                                                                           *
* Vers: 1.00    Jim Roberts                                                 *
*                                                                           *
\***************************************************************************/#include "limits.h"                    /* Sizes, etc. of basic types.      */

/***************************************************************************\
*          M e m o r y   M a n a g e r   F u n c t i o n   I d s            *
\***************************************************************************/

typedef enum
   {
   _undefined = 0,
   _malloc,
   _calloc,
   _realloc,
   _free,
   _strdup,
   _pstat,
   _chkheap,
   _memmap,
   _allie,
   _limit
   } MM_Function;

/***************************************************************************\
*                          E r r o r   C o d e s                            *
\***************************************************************************/

typedef enum
   {
   eUndefed = 0,                       /* Undefined error code.            */
   eProgram,                           /* Programming error (gasp).        */
   eNegSize,                           /* Requested block size <= 0.       */
   eBigSize,                           /* Requested block size > Limit.    */
   eFreBlck,                           /* Specified block is free.         */
   eNonBlck,                           /* Specified block isn't a block,   */
   eNullPtr,                           /* Block pointer is NULL.           */
   eCorrupt,                           /* Block is corrupted.              */
   eFreeUse,                           /* Free memory overwritten.         */
   eMemLeak,                           /* Allocated block should be free.  */
   eLimit                              /* Max error code.                  */
   } Error_Code;

/* End of File */
